# eric3.XML.XMLHandlerBase

Module implementing a base class for all of eric3s XML handlers.

### Classes

XMLHandlerBase | Class implementing the base class for al of eric3s XML handlers.

### Functions

None

## XMLHandlerBase

Class implementing the base class for al of eric3s XML handlers.

### Derived from

ContentHandler

### Methods

XMLHandlerBase | Constructor
characters | Handler called for ordinary text.
defaultEndElement | Handler method for the common end tags.
defaultStartElement | Handler method for common start tags.
endElement | Handler called, when an ending tag is found.
startDocument | Handler called, when the document parsing is started.
startElement | Handler called, when a starting tag is found.
unescape | Private method used to unescape certain characters.
utf8_to_code | Private method to convert a string to unicode and encode it for XML.

### XMLHandlerBase (Constructor)

XMLHandlerBase()

Constructor

### XMLHandlerBase.characters

characters(chars)

Handler called for ordinary text.

chars
  the scanned text (string)

### XMLHandlerBase.defaultEndElement

defaultEndElement()

Handler method for the common end tags.

### XMLHandlerBase.defaultStartElement

defaultStartElement(attrs)

Handler method for common start tags.

attrs
  list of tag attributes

### XMLHandlerBase.endElement

endElement(name)

Handler called, when an ending tag is found.

name
  name of the tag (string)

### XMLHandlerBase.startDocument

startDocument()

Handler called, when the document parsing is started.

### XMLHandlerBase.startElement

startElement(name, attrs)

Handler called, when a starting tag is found.

name
  name of the tag (string)
attrs
  list of tag attributes

### XMLHandlerBase.unescape

unescape(text, attribute=0)

Private method used to unescape certain characters.

text
  the text to unescape (string)
attribute
  flag indicating unescaping is done for an attribute

### XMLHandlerBase.utf8_to_code

utf8_to_code(text)

Private method to convert a string to unicode and encode it for XML.

text
  the text to encode (string)

Up